- include_role:
    name: commons
    tasks_from: databases/postgres.yaml
  vars:
    cpu_limit: "{{ gitea_db_cpu_limit }}"
    memory_limit: "{{ gitea_db_memory_limit }}"
    postgres_data_capacity: "{{ gitea_db_data_capacity }}"
    postgres_name: "{{ gitea_pg_name }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ gitea_name }}"
    policy_name: "{{ gitea_name }}-to-{{ gitea_pg_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ gitea_pg_name }}"
    to:
    - number: "5432"

